Skip to main content
GET
/
v1
/
swap
/
list
Get a list of all orders
curl --request GET \
  --url https://api.openxswitch.com/v1/swap/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "walletId": "63e1b8c2f18e310bb11f8a9c",
      "orderId": "od_m65mzbse9",
      "sendCoin": "BNB",
      "receiveCoin": "ETH",
      "sendNetwork": "BNB",
      "receiveNetwork": "BTC",
      "sendAmount": 200,
      "receiveAmount": 1.8,
      "estimatedSendAmount": 201.5,
      "estimatedReceiveAmount": 1.78,
      "sendAddress": "bnb1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq",
      "receiveAddress": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq",
      "refundAddress": "0x5aAeb6053F3E94C9b9A09f33669435E7Ef1BeAed",
      "status": "COMPLETED",
      "rate": 0.0089,
      "networkFee": 0.0015,
      "createdAt": "2025-02-03T15:22:46.421Z",
      "confirmedAt": "2025-02-03T15:22:57.082Z"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

orderId
string

The unique identifier of the wallet

fromCurrency
string

Send currency

toCurrency
string

Receive currency

amount
string

Amount to send or receive

toAddress
string

Receive address

fromNetwork
string

Send network

toNetwork
string

Receive network

pageNo
string

The page number for pagination

pageLimit
string

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required